StarObjectSmallGraphicInternal::SdrGraphicGraph Class Reference documentation

StarObjectSmallGraphicInternal::SdrGraphicGraph Class Reference

Internal: virtual class to store a Sdr graphic graph. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicGraph:

## Public Member Functions
| SdrGraphicGraph ()
| constructor
| ~SdrGraphicGraph ()
| destructor
virtual std::string | print () const
| basic print function
bool | send (STOFFListenerPtr listener, STOFFPosition const &pos, StarObject &object, bool inMasterPage)
| try to send the graphic to the listener
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
| SdrGraphicRect (int id)
| constructor
| ~SdrGraphicRect ()
| destructor
bool | send (STOFFListenerPtr listener, STOFFPosition const &pos, StarObject &object, bool inMasterPage)
| try to send the graphic to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor
| ~SdrGraphicText ()
| destructor
void | updateTransformProperties (librevenge::RVNGPropertyList &list) const
| try to update the transformation
bool | sendTextZone (STOFFListenerPtr listener, StarObject &object)
| try to send the text zone to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor
| ~SdrGraphicAttribute ()
| destructor
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic ()
| destructor
std::string | getName () const
| return the object name
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes
shared_ptr< StarGraphicStruct::StarGraphic > | m_graphic
| the graphic
STOFFBox2i | m_graphRectangle
| the rectangle
librevenge::RVNGString | m_graphNames [3]
| the name, filename, the filtername
bool | m_mirrored
| flag to know if the image is mirrored
bool | m_hasGraphicLink
| flag to know if the image has a graphic link
shared_ptr< StarItem > | m_graphItem
| the graph attributes
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
int | m_eckRag
| the eckRag?
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind
STOFFBox2i | m_textRectangle
| the text rectangle
int | m_textDrehWink
| the dreh wink: rotation?
int | m_textShearWink
| the shear wink
shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object
STOFFBox2i | m_textBound
| the text bound
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< shared_ptr< StarItem > > | m_itemList
| the list of star item
librevenge::RVNGString | m_sheetStyle
| the sheet style name
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicGraph const &graph)
| print object data

## Additional Inherited Members
Static Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
static shared_ptr< StarItemPool > | getPool (StarObject &object)
| return a pool corresponding to an object

## Detailed Description

Internal: virtual class to store a Sdr graphic graph.

## Constructor & Destructor Documentation

## ◆ SdrGraphicGraph()

StarObjectSmallGraphicInternal::SdrGraphicGraph::SdrGraphicGraph | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## ◆ ~SdrGraphicGraph()

StarObjectSmallGraphicInternal::SdrGraphicGraph::~SdrGraphicGraph | ( |  | ) |

destructor

## Member Function Documentation

## ◆ print()

virtual std::string StarObjectSmallGraphicInternal::SdrGraphicGraph::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicRect.

## ◆ send()

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::send | ( | STOFFListenerPtr | listener,
|  | STOFFPosition const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage )
| inlinevirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## ◆ updateStyle()

void StarObjectSmallGraphicInternal::SdrGraphicGraph::updateStyle | ( | StarState & | state,
|  | STOFFListenerPtr | listener ) const
| inline

try to update the style

Referenced by send().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicGraph const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_graphic

shared_ptr<StarGraphicStruct::StarGraphic> StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphic

the graphic

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), SdrGraphicGraph(), and send().

## ◆ m_graphItem

shared_ptr<StarItem> StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphItem

the graph attributes

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), SdrGraphicGraph(), and updateStyle().

## ◆ m_graphNames

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphNames[3]

the name, filename, the filtername

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and send().

## ◆ m_graphRectangle

STOFFBox2i StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphRectangle

the rectangle

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and SdrGraphicGraph().

## ◆ m_hasGraphicLink

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::m_hasGraphicLink

flag to know if the image has a graphic link

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and SdrGraphicGraph().

## ◆ m_mirrored

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::m_mirrored

flag to know if the image is mirrored

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and SdrGraphicGraph().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx